Skip to main content
GET
Describe a User

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

user
string
required

Directory User ID

Query Parameters

include
enum<string>[]
Available options:
secondary-users,
secondary-users-count,
secondary-users-exists,
policy-conditions,
policy-conditions-count,
policy-conditions-exists,
policy-users,
policy-users-count,
policy-users-exists,
policy-rules-manifest,
policy-rules-manifest-count,
policy-rules-manifest-exists,
policy-rules-qualified,
policy-rules-qualified-count,
policy-rules-qualified-exists,
policy-rules-staged,
policy-rules-staged-count,
policy-rules-staged-exists,
policy-rulesets,
policy-rulesets-count,
policy-rulesets-exists
filter
string

Response

DirectoryUserDetailedResponseData

id
string
required
Example:

"drusr_01hq8xyzabc123def456ghi789"

state
enum<string>
required

The state of the directory user

Available options:
staged,
active,
expiring,
expired,
suspended,
deactivated
Example:

"active"

manager_id
string | null
required

The ID of the manager

Example:

"drusr_01kam9z5z71f7r4hhrm2ydxkhn"

is_manager
boolean
required

Whether or not the user is a people manager with direct reports

Example:

true

first_name
string
required

The first (given) name of the user

Example:

"Dade"

last_name
string
required

The last (family) name of the user

Example:

"Murphy"

full_name
string
required

The first and last name of the user

Example:

"Dade Murphy"

email
string
required

The email address of the user

username
string | null
required

The username of the user. Unless overridden, this is usually the email address handle

Example:

"dmurphy"

badge_id
string | null
required

The badge ID number of the user. This value is dynamically obtained from the primary integration based on the badge_id_profile_key

employee_id
string | null
required

The employee ID number of the user. This value is dynamically obtained from the primary integration based on the employee_id_profile_key

employee_alt_id
string | null
required

An alternative/secondary employee ID number of the user. This value is dynamically obtained from the primary integration based on the employee_alt_id_profile_key

timestamp
DirectoryUserTimestampResponseData · object
required

The timestamps for the directory user record

org
object
required

The user's organization metadata based on their dimension attributes

Example:
metadata
object
required

The user's custom key/value metadata added by someone or automation in your organization

Example:
count
DirectoryUserCountResponseData · object
required

Counts of related resources for the directory user

included
DirectoryUserIncludedResponseData · object
required

Related resources for the directory user. Use include parameter with a comma separated list of resources to fetch related data

API hyperlinks related to the directory user record